Description

currently copying a DBZone object would cause double delete.

also, using new/delete may cause resource leak and considered back practice

coverity CID 1512314

History

#1 - 09/12/2022 11:20 AM - Matt Benjamin

new and delete are not deprecated

#2 - 09/12/2022 11:28 AM - Matt Benjamin

(unique_ptr is often a good idea, but let's not become completely prescriptive)

#3 - 09/15/2022 02:17 PM - Casey Bodley

currently copying a DBZone object would cause double delete

 

none of these sal objects should be copyable. let's explicitly disable copy on the sal base classes so we don't accidentally do this

#4 - 09/18/2022 05:06 AM - Yuval Lifshitz

would still recommend using unique_ptr in this case (don't see any justification to use new/delete pair here).

#5 - 09/13/2023 01:37 PM - Yuval Lifshitz

- Tracker changed from Bug to Cleanup
